define(['scripts/knockout-3.3.0', 'mod/properties/propertyutils'], function(ko, PropertyUtils) {

    function PropertyRadioViewModel(params, element) {
		var self = this;
		self.utils = new PropertyUtils();
		self.utils.Init(self, params, element);

		var $form = $(element).find("form");
		for (var i = 0; i < params.options; i++) {
			$form.append(params.options[i]);
		}

		self.utils.Ready(params);
		return params;
    }

    return {
		createViewModel: function(params, componentInfo) {
			return PropertyRadioViewModel(params, componentInfo.element);
		}
	};
});
